package com.supervision.police.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.police.dto.RoleDTO;
import com.supervision.police.service.SystemRoleService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@Tag(name = "用户角色管理")
@RestController
@RequestMapping("/roleManage")
@RequiredArgsConstructor
public class RoleController {

    private final SystemRoleService roleService;
    @Operation(summary = "新增角色")
    @PostMapping("/save")
    public String saveRole(@RequestBody RoleDTO roleDTO) {

        return roleService.saveRole(roleDTO);
    }

    @Operation(summary = "修改角色")
    @PostMapping("/update")
    public void updateRole(@RequestBody RoleDTO roleDTO) {
        roleService.updateRole(roleDTO);
    }

    @Operation(summary = "删除角色")
    @DeleteMapping("/delete")
    public Boolean deleteRole(@Parameter(name = "id") @RequestParam(name="id") String id) {
        return roleService.deleteRole(id);
    }
    @Operation(summary = "查看角色列表")
    @GetMapping("/list")
    public IPage<RoleDTO> list(@Parameter(name = "roleName",description = "角色名称") @RequestParam(required = false) String roleName,
                               @Parameter(name = "pageNum",description = "页码") @RequestParam(defaultValue = "1") Integer pageNum,
                               @Parameter(name = "pageSize",description = "每页大小") @RequestParam(defaultValue = "10") Integer pageSize) {
        return roleService.list(roleName, pageNum, pageSize);
    }
}
